diff --git a/boot/menhir/parser.ml b/boot/menhir/parser.ml
index 6b6fc22..dce95f7 100644
--- a/boot/menhir/parser.ml
+++ b/boot/menhir/parser.ml
@@ -40536,9 +40606,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (string) = 
-# 3678 "parsing/parser.mly"
+# 3706 "parsing/parser.mly"
            ( "downto" )
-# 40542 "parsing/parser.ml"
+# 40612 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -40561,9 +40631,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (string) = 
-# 3679 "parsing/parser.mly"
+# 3707 "parsing/parser.mly"
          ( "else" )
-# 40567 "parsing/parser.ml"
+# 40637 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -40586,9 +40656,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (string) = 
-# 3680 "parsing/parser.mly"
+# 3708 "parsing/parser.mly"
         ( "end" )
-# 40592 "parsing/parser.ml"
+# 40662 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -40611,9 +40681,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (string) = 
-# 3681 "parsing/parser.mly"
+# 3709 "parsing/parser.mly"
               ( "exception" )
-# 40617 "parsing/parser.ml"
+# 40687 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -40636,9 +40706,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (string) = 
-# 3682 "parsing/parser.mly"
+# 3710 "parsing/parser.mly"
              ( "external" )
-# 40642 "parsing/parser.ml"
+# 40712 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -40661,9 +40731,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (string) = 
-# 3683 "parsing/parser.mly"
+# 3711 "parsing/parser.mly"
           ( "false" )
-# 40667 "parsing/parser.ml"
+# 40737 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -40686,9 +40756,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (string) = 
-# 3684 "parsing/parser.mly"
+# 3712 "parsing/parser.mly"
         ( "for" )
-# 40692 "parsing/parser.ml"
+# 40762 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -40711,9 +40781,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (string) = 
-# 3685 "parsing/parser.mly"
+# 3713 "parsing/parser.mly"
         ( "fun" )
-# 40717 "parsing/parser.ml"
+# 40787 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -40736,9 +40806,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (string) = 
-# 3686 "parsing/parser.mly"
+# 3714 "parsing/parser.mly"
              ( "function" )
-# 40742 "parsing/parser.ml"
+# 40812 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -40761,9 +40831,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (string) = 
-# 3687 "parsing/parser.mly"
+# 3715 "parsing/parser.mly"
             ( "functor" )
-# 40767 "parsing/parser.ml"
+# 40837 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -40786,9 +40856,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (string) = 
-# 3688 "parsing/parser.mly"
+# 3716 "parsing/parser.mly"
        ( "if" )
-# 40792 "parsing/parser.ml"
+# 40862 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -40811,9 +40881,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (string) = 
-# 3689 "parsing/parser.mly"
+# 3717 "parsing/parser.mly"
        ( "in" )
-# 40817 "parsing/parser.ml"
+# 40887 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -40836,9 +40906,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (string) = 
-# 3690 "parsing/parser.mly"
+# 3718 "parsing/parser.mly"
             ( "include" )
-# 40842 "parsing/parser.ml"
+# 40912 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -40861,9 +40931,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (string) = 
-# 3691 "parsing/parser.mly"
+# 3719 "parsing/parser.mly"
             ( "inherit" )
-# 40867 "parsing/parser.ml"
+# 40937 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -40886,9 +40956,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (string) = 
-# 3692 "parsing/parser.mly"
+# 3720 "parsing/parser.mly"
                 ( "initializer" )
-# 40892 "parsing/parser.ml"
+# 40962 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -40911,9 +40981,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (string) = 
-# 3693 "parsing/parser.mly"
+# 3721 "parsing/parser.mly"
          ( "lazy" )
-# 40917 "parsing/parser.ml"
+# 40987 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -40936,9 +41006,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (string) = 
-# 3694 "parsing/parser.mly"
+# 3722 "parsing/parser.mly"
         ( "let" )
-# 40942 "parsing/parser.ml"
+# 41012 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -40961,9 +41031,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (string) = 
-# 3695 "parsing/parser.mly"
+# 3723 "parsing/parser.mly"
           ( "match" )
-# 40967 "parsing/parser.ml"
+# 41037 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -40986,9 +41056,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (string) = 
-# 3696 "parsing/parser.mly"
+# 3724 "parsing/parser.mly"
            ( "method" )
-# 40992 "parsing/parser.ml"
+# 41062 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -41011,9 +41081,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (string) = 
-# 3697 "parsing/parser.mly"
+# 3725 "parsing/parser.mly"
            ( "module" )
-# 41017 "parsing/parser.ml"
+# 41087 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -41036,9 +41106,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (string) = 
-# 3698 "parsing/parser.mly"
+# 3726 "parsing/parser.mly"
             ( "mutable" )
-# 41042 "parsing/parser.ml"
+# 41112 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -41061,9 +41131,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (string) = 
-# 3699 "parsing/parser.mly"
+# 3727 "parsing/parser.mly"
         ( "new" )
-# 41067 "parsing/parser.ml"
+# 41137 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -41086,9 +41156,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (string) = 
-# 3700 "parsing/parser.mly"
+# 3728 "parsing/parser.mly"
            ( "nonrec" )
-# 41092 "parsing/parser.ml"
+# 41162 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -41111,9 +41181,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (string) = 
-# 3701 "parsing/parser.mly"
+# 3729 "parsing/parser.mly"
            ( "object" )
-# 41117 "parsing/parser.ml"
+# 41187 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -41136,9 +41206,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (string) = 
-# 3702 "parsing/parser.mly"
+# 3730 "parsing/parser.mly"
        ( "of" )
-# 41142 "parsing/parser.ml"
+# 41212 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -41161,9 +41231,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (string) = 
-# 3703 "parsing/parser.mly"
+# 3731 "parsing/parser.mly"
          ( "open" )
-# 41167 "parsing/parser.ml"
+# 41237 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -41186,9 +41256,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (string) = 
-# 3704 "parsing/parser.mly"
+# 3732 "parsing/parser.mly"
        ( "or" )
-# 41192 "parsing/parser.ml"
+# 41262 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -41211,9 +41281,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (string) = 
-# 3705 "parsing/parser.mly"
+# 3733 "parsing/parser.mly"
             ( "private" )
-# 41217 "parsing/parser.ml"
+# 41287 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -41236,9 +41306,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (string) = 
-# 3706 "parsing/parser.mly"
+# 3734 "parsing/parser.mly"
         ( "rec" )
-# 41242 "parsing/parser.ml"
+# 41312 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -41261,9 +41331,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (string) = 
-# 3707 "parsing/parser.mly"
+# 3735 "parsing/parser.mly"
         ( "sig" )
-# 41267 "parsing/parser.ml"
+# 41337 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -41286,9 +41356,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (string) = 
-# 3708 "parsing/parser.mly"
+# 3736 "parsing/parser.mly"
            ( "struct" )
-# 41292 "parsing/parser.ml"
+# 41362 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -41311,9 +41381,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (string) = 
-# 3709 "parsing/parser.mly"
+# 3737 "parsing/parser.mly"
          ( "then" )
-# 41317 "parsing/parser.ml"
+# 41387 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -41336,9 +41406,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (string) = 
-# 3710 "parsing/parser.mly"
+# 3738 "parsing/parser.mly"
        ( "to" )
-# 41342 "parsing/parser.ml"
+# 41412 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -41361,9 +41431,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (string) = 
-# 3711 "parsing/parser.mly"
+# 3739 "parsing/parser.mly"
          ( "true" )
-# 41367 "parsing/parser.ml"
+# 41437 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -41386,9 +41456,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (string) = 
-# 3712 "parsing/parser.mly"
+# 3740 "parsing/parser.mly"
         ( "try" )
-# 41392 "parsing/parser.ml"
+# 41462 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -41411,9 +41481,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (string) = 
-# 3713 "parsing/parser.mly"
+# 3741 "parsing/parser.mly"
          ( "type" )
-# 41417 "parsing/parser.ml"
+# 41487 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -41436,9 +41506,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (string) = 
-# 3714 "parsing/parser.mly"
+# 3742 "parsing/parser.mly"
         ( "val" )
-# 41442 "parsing/parser.ml"
+# 41512 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -41461,9 +41531,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (string) = 
-# 3715 "parsing/parser.mly"
+# 3743 "parsing/parser.mly"
             ( "virtual" )
-# 41467 "parsing/parser.ml"
+# 41537 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -41486,9 +41556,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (string) = 
-# 3716 "parsing/parser.mly"
+# 3744 "parsing/parser.mly"
          ( "when" )
-# 41492 "parsing/parser.ml"
+# 41562 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -41511,9 +41581,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (string) = 
-# 3717 "parsing/parser.mly"
+# 3745 "parsing/parser.mly"
           ( "while" )
-# 41517 "parsing/parser.ml"
+# 41587 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -41536,9 +41606,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (string) = 
-# 3718 "parsing/parser.mly"
+# 3746 "parsing/parser.mly"
          ( "with" )
-# 41542 "parsing/parser.ml"
+# 41612 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -41561,9 +41631,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (Parsetree.type_exception * string Asttypes.loc option) = 
-# 3003 "parsing/parser.mly"
+# 3023 "parsing/parser.mly"
     ( _1 )
-# 41567 "parsing/parser.ml"
+# 41637 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -41637,18 +41707,18 @@ module Tables = struct
         let _v : (Parsetree.type_exception * string Asttypes.loc option) = let attrs =
           let _1 = _1_inlined5 in
           
-# 3743 "parsing/parser.mly"
+# 3771 "parsing/parser.mly"
     ( _1 )
-# 41643 "parsing/parser.ml"
+# 41713 "parsing/parser.ml"
           
         in
         let _endpos_attrs_ = _endpos__1_inlined5_ in
         let attrs2 =
           let _1 = _1_inlined4 in
           
-# 3747 "parsing/parser.mly"
+# 3775 "parsing/parser.mly"
     ( _1 )
-# 41652 "parsing/parser.ml"
+# 41722 "parsing/parser.ml"
           
         in
         let lid =
@@ -41657,9 +41727,9 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 41663 "parsing/parser.ml"
+# 41733 "parsing/parser.ml"
           
         in
         let id =
@@ -41668,30 +41738,30 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 41674 "parsing/parser.ml"
+# 41744 "parsing/parser.ml"
           
         in
         let attrs1 =
           let _1 = _1_inlined1 in
           
-# 3747 "parsing/parser.mly"
+# 3775 "parsing/parser.mly"
     ( _1 )
-# 41682 "parsing/parser.ml"
+# 41752 "parsing/parser.ml"
           
         in
         let _endpos = _endpos_attrs_ in
         let _symbolstartpos = _startpos__1_ in
         let _sloc = (_symbolstartpos, _endpos) in
         
-# 3012 "parsing/parser.mly"
+# 3032 "parsing/parser.mly"
   ( let loc = make_loc _sloc in
     let docs = symbol_docs _sloc in
     Te.mk_exception ~attrs
       (Te.rebind id lid ~attrs:(attrs1 @ attrs2) ~loc ~docs)
     , ext )
-# 41695 "parsing/parser.ml"
+# 41765 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -41721,9 +41791,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__2_ in
         let _v : (Parsetree.expression) = 
-# 2513 "parsing/parser.mly"
+# 2533 "parsing/parser.mly"
       ( _2 )
-# 41727 "parsing/parser.ml"
+# 41797 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -41756,9 +41826,9 @@ module Tables = struct
         let _symbolstartpos = _startpos__1_ in
         let _sloc = (_symbolstartpos, _endpos) in
         
-# 2515 "parsing/parser.mly"
+# 2535 "parsing/parser.mly"
       ( let (l, o, p) = _1 in ghexp ~loc:_sloc (Pexp_fun(l, o, p, _2)) )
-# 41762 "parsing/parser.ml"
+# 41832 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -41809,17 +41879,17 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__5_ in
         let _v : (Parsetree.expression) = let _3 = 
-# 2416 "parsing/parser.mly"
+# 2436 "parsing/parser.mly"
     ( xs )
-# 41815 "parsing/parser.ml"
+# 41885 "parsing/parser.ml"
          in
         let _endpos = _endpos__5_ in
         let _symbolstartpos = _startpos__1_ in
         let _sloc = (_symbolstartpos, _endpos) in
         
-# 2517 "parsing/parser.mly"
+# 2537 "parsing/parser.mly"
       ( mk_newtypes ~loc:_sloc _3 _5 )
-# 41823 "parsing/parser.ml"
+# 41893 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -41846,39 +41916,39 @@ module Tables = struct
             let ys = 
 # 260 "<standard.mly>"
     ( List.flatten xss )
-# 41850 "parsing/parser.ml"
+# 41920 "parsing/parser.ml"
              in
             let xs =
               let items = 
-# 887 "parsing/parser.mly"
+# 895 "parsing/parser.mly"
     ( [] )
-# 41856 "parsing/parser.ml"
+# 41926 "parsing/parser.ml"
                in
               
-# 1301 "parsing/parser.mly"
+# 1309 "parsing/parser.mly"
     ( items )
-# 41861 "parsing/parser.ml"
+# 41931 "parsing/parser.ml"
               
             in
             
 # 267 "<standard.mly>"
     ( xs @ ys )
-# 41867 "parsing/parser.ml"
+# 41937 "parsing/parser.ml"
             
           in
           let (_endpos__1_, _startpos__1_) = (_endpos_xss_, _startpos_xss_) in
           let _endpos = _endpos__1_ in
           let _startpos = _startpos__1_ in
           
-# 809 "parsing/parser.mly"
+# 817 "parsing/parser.mly"
                               ( extra_str _startpos _endpos _1 )
-# 41876 "parsing/parser.ml"
+# 41946 "parsing/parser.ml"
           
         in
         
-# 1294 "parsing/parser.mly"
+# 1302 "parsing/parser.mly"
   ( _1 )
-# 41882 "parsing/parser.ml"
+# 41952 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -41919,7 +41989,7 @@ module Tables = struct
             let ys = 
 # 260 "<standard.mly>"
     ( List.flatten xss )
-# 41923 "parsing/parser.ml"
+# 41993 "parsing/parser.ml"
              in
             let xs =
               let items =
@@ -41927,65 +41997,65 @@ module Tables = struct
                   let _1 =
                     let _1 =
                       let attrs = 
-# 3743 "parsing/parser.mly"
+# 3771 "parsing/parser.mly"
     ( _1 )
-# 41933 "parsing/parser.ml"
+# 42003 "parsing/parser.ml"
                        in
                       
-# 1308 "parsing/parser.mly"
+# 1316 "parsing/parser.mly"
     ( mkstrexp e attrs )
-# 41938 "parsing/parser.ml"
+# 42008 "parsing/parser.ml"
                       
                     in
                     let _startpos__1_ = _startpos_e_ in
                     let _startpos = _startpos__1_ in
                     
-# 821 "parsing/parser.mly"
+# 829 "parsing/parser.mly"
   ( text_str _startpos @ [_1] )
-# 41946 "parsing/parser.ml"
+# 42016 "parsing/parser.ml"
                     
                   in
                   let _startpos__1_ = _startpos_e_ in
                   let _endpos = _endpos__1_ in
                   let _startpos = _startpos__1_ in
                   
-# 840 "parsing/parser.mly"
+# 848 "parsing/parser.mly"
   ( mark_rhs_docs _startpos _endpos;
     _1 )
-# 41956 "parsing/parser.ml"
+# 42026 "parsing/parser.ml"
                   
                 in
                 
-# 889 "parsing/parser.mly"
+# 897 "parsing/parser.mly"
     ( x )
-# 41962 "parsing/parser.ml"
+# 42032 "parsing/parser.ml"
                 
               in
               
-# 1301 "parsing/parser.mly"
+# 1309 "parsing/parser.mly"
     ( items )
-# 41968 "parsing/parser.ml"
+# 42038 "parsing/parser.ml"
               
             in
             
 # 267 "<standard.mly>"
     ( xs @ ys )
-# 41974 "parsing/parser.ml"
+# 42044 "parsing/parser.ml"
             
           in
           let (_endpos__1_, _startpos__1_) = (_endpos_xss_, _startpos_e_) in
           let _endpos = _endpos__1_ in
           let _startpos = _startpos__1_ in
           
-# 809 "parsing/parser.mly"
+# 817 "parsing/parser.mly"
                               ( extra_str _startpos _endpos _1 )
-# 41983 "parsing/parser.ml"
+# 42053 "parsing/parser.ml"
           
         in
         
-# 1294 "parsing/parser.mly"
+# 1302 "parsing/parser.mly"
   ( _1 )
-# 41989 "parsing/parser.ml"
+# 42059 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -42011,9 +42081,9 @@ module Tables = struct
         let _symbolstartpos = _startpos__1_ in
         let _sloc = (_symbolstartpos, _endpos) in
         
-# 1323 "parsing/parser.mly"
+# 1331 "parsing/parser.mly"
       ( val_of_let_bindings ~loc:_sloc _1 )
-# 42017 "parsing/parser.ml"
+# 42087 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -42047,9 +42117,9 @@ module Tables = struct
             let _2 =
               let _1 = _1_inlined1 in
               
-# 3743 "parsing/parser.mly"
+# 3771 "parsing/parser.mly"
     ( _1 )
-# 42053 "parsing/parser.ml"
+# 42123 "parsing/parser.ml"
               
             in
             let _endpos__2_ = _endpos__1_inlined1_ in
@@ -42057,10 +42127,10 @@ module Tables = struct
             let _symbolstartpos = _startpos__1_ in
             let _sloc = (_symbolstartpos, _endpos) in
             
-# 1326 "parsing/parser.mly"
+# 1334 "parsing/parser.mly"
         ( let docs = symbol_docs _sloc in
           Pstr_extension (_1, add_docs_attrs docs _2) )
-# 42064 "parsing/parser.ml"
+# 42134 "parsing/parser.ml"
             
           in
           let _endpos__1_ = _endpos__1_inlined1_ in
@@ -42068,15 +42138,15 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 856 "parsing/parser.mly"
+# 864 "parsing/parser.mly"
     ( mkstr ~loc:_sloc _1 )
-# 42074 "parsing/parser.ml"
+# 42144 "parsing/parser.ml"
           
         in
         
-# 1357 "parsing/parser.mly"
+# 1365 "parsing/parser.mly"
     ( _1 )
-# 42080 "parsing/parser.ml"
+# 42150 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -42100,23 +42170,23 @@ module Tables = struct
         let _endpos = _endpos__1_ in
         let _v : (Parsetree.structure_item) = let _1 =
           let _1 = 
-# 1329 "parsing/parser.mly"
+# 1337 "parsing/parser.mly"
         ( Pstr_attribute _1 )
-# 42106 "parsing/parser.ml"
+# 42176 "parsing/parser.ml"
            in
           let _endpos = _endpos__1_ in
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 856 "parsing/parser.mly"
+# 864 "parsing/parser.mly"
     ( mkstr ~loc:_sloc _1 )
-# 42114 "parsing/parser.ml"
+# 42184 "parsing/parser.ml"
           
         in
         
-# 1357 "parsing/parser.mly"
+# 1365 "parsing/parser.mly"
     ( _1 )
-# 42120 "parsing/parser.ml"
+# 42190 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -42140,23 +42210,23 @@ module Tables = struct
         let _endpos = _endpos__1_ in
         let _v : (Parsetree.structure_item) = let _1 =
           let _1 = 
-# 1333 "parsing/parser.mly"
+# 1341 "parsing/parser.mly"
         ( pstr_primitive _1 )
-# 42146 "parsing/parser.ml"
+# 42216 "parsing/parser.ml"
            in
           let _endpos = _endpos__1_ in
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 873 "parsing/parser.mly"
+# 881 "parsing/parser.mly"
     ( wrap_mkstr_ext ~loc:_sloc _1 )
-# 42154 "parsing/parser.ml"
+# 42224 "parsing/parser.ml"
           
         in
         
-# 1357 "parsing/parser.mly"
+# 1365 "parsing/parser.mly"
     ( _1 )
-# 42160 "parsing/parser.ml"
+# 42230 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -42180,23 +42250,23 @@ module Tables = struct
         let _endpos = _endpos__1_ in
         let _v : (Parsetree.structure_item) = let _1 =
           let _1 = 
-# 1335 "parsing/parser.mly"
+# 1343 "parsing/parser.mly"
         ( pstr_primitive _1 )
-# 42186 "parsing/parser.ml"
+# 42256 "parsing/parser.ml"
            in
           let _endpos = _endpos__1_ in
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 873 "parsing/parser.mly"
+# 881 "parsing/parser.mly"
     ( wrap_mkstr_ext ~loc:_sloc _1 )
-# 42194 "parsing/parser.ml"
+# 42264 "parsing/parser.ml"
           
         in
         
-# 1357 "parsing/parser.mly"
+# 1365 "parsing/parser.mly"
     ( _1 )
-# 42200 "parsing/parser.ml"
+# 42270 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -42231,26 +42301,26 @@ module Tables = struct
             let _1 =
               let _1 =
                 let _1 = 
-# 1048 "parsing/parser.mly"
+# 1056 "parsing/parser.mly"
     ( let (x, b) = a in x, b :: bs )
-# 42237 "parsing/parser.ml"
+# 42307 "parsing/parser.ml"
                  in
                 
-# 2847 "parsing/parser.mly"
+# 2867 "parsing/parser.mly"
   ( _1 )
-# 42242 "parsing/parser.ml"
+# 42312 "parsing/parser.ml"
                 
               in
               
-# 2830 "parsing/parser.mly"
+# 2850 "parsing/parser.mly"
     ( _1 )
-# 42248 "parsing/parser.ml"
+# 42318 "parsing/parser.ml"
               
             in
             
-# 1337 "parsing/parser.mly"
+# 1345 "parsing/parser.mly"
         ( pstr_type _1 )
-# 42254 "parsing/parser.ml"
+# 42324 "parsing/parser.ml"
             
           in
           let (_endpos__1_, _startpos__1_) = (_endpos_bs_, _startpos_a_) in
@@ -42258,15 +42328,15 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 873 "parsing/parser.mly"
+# 881 "parsing/parser.mly"
     ( wrap_mkstr_ext ~loc:_sloc _1 )
-# 42264 "parsing/parser.ml"
+# 42334 "parsing/parser.ml"
           
         in
         
-# 1357 "parsing/parser.mly"
+# 1365 "parsing/parser.mly"
     ( _1 )
-# 42270 "parsing/parser.ml"
+# 42340 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -42351,16 +42421,16 @@ module Tables = struct
                 let attrs2 =
                   let _1 = _1_inlined3 in
                   
-# 3743 "parsing/parser.mly"
+# 3771 "parsing/parser.mly"
     ( _1 )
-# 42357 "parsing/parser.ml"
+# 42427 "parsing/parser.ml"
                   
                 in
                 let _endpos_attrs2_ = _endpos__1_inlined3_ in
                 let cs = 
-# 1040 "parsing/parser.mly"
+# 1048 "parsing/parser.mly"
     ( List.rev xs )
-# 42364 "parsing/parser.ml"
+# 42434 "parsing/parser.ml"
                  in
                 let tid =
                   let (_endpos__1_, _startpos__1_, _1) = (_endpos__1_inlined2_, _startpos__1_inlined2_, _1_inlined2) in
@@ -42368,46 +42438,46 @@ module Tables = struct
                   let _symbolstartpos = _startpos__1_ in
                   let _sloc = (_symbolstartpos, _endpos) in
                   
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 42374 "parsing/parser.ml"
+# 42444 "parsing/parser.ml"
                   
                 in
                 let _4 = 
-# 3590 "parsing/parser.mly"
+# 3618 "parsing/parser.mly"
                 ( Recursive )
-# 42380 "parsing/parser.ml"
+# 42450 "parsing/parser.ml"
                  in
                 let attrs1 =
                   let _1 = _1_inlined1 in
                   
-# 3747 "parsing/parser.mly"
+# 3775 "parsing/parser.mly"
     ( _1 )
-# 42387 "parsing/parser.ml"
+# 42457 "parsing/parser.ml"
                   
                 in
                 let _endpos = _endpos_attrs2_ in
                 let _symbolstartpos = _startpos__1_ in
                 let _sloc = (_symbolstartpos, _endpos) in
                 
-# 3095 "parsing/parser.mly"
+# 3115 "parsing/parser.mly"
     ( let docs = symbol_docs _sloc in
       let attrs = attrs1 @ attrs2 in
       Te.mk tid cs ~params ~priv ~attrs ~docs,
       ext )
-# 42399 "parsing/parser.ml"
+# 42469 "parsing/parser.ml"
                 
               in
               
-# 3078 "parsing/parser.mly"
+# 3098 "parsing/parser.mly"
     ( _1 )
-# 42405 "parsing/parser.ml"
+# 42475 "parsing/parser.ml"
               
             in
             
-# 1339 "parsing/parser.mly"
+# 1347 "parsing/parser.mly"
         ( pstr_typext _1 )
-# 42411 "parsing/parser.ml"
+# 42481 "parsing/parser.ml"
             
           in
           let _endpos__1_ = _endpos__1_inlined3_ in
@@ -42415,15 +42485,15 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 873 "parsing/parser.mly"
+# 881 "parsing/parser.mly"
     ( wrap_mkstr_ext ~loc:_sloc _1 )
-# 42421 "parsing/parser.ml"
+# 42491 "parsing/parser.ml"
           
         in
         
-# 1357 "parsing/parser.mly"
+# 1365 "parsing/parser.mly"
     ( _1 )
-# 42427 "parsing/parser.ml"
+# 42497 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
